### Struct

# FwupdPlugin StructOprom

#### Description

    struct FuStructOprom {
      guint8 buf[];
      guint refcount;
    }

No description available.

###### Structure members

`buf:` `guint8`

  No description available.

`refcount:` `guint`

  No description available.

#### Functions

###### fu_struct_oprom_new

No description available.

###### fu_struct_oprom_parse_stream

No description available.

###### fu_struct_oprom_validate_stream

No description available.

#### Instance methods

###### fu_struct_oprom_get_compression_type

No description available.

###### fu_struct_oprom_get_efi_image_offset

No description available.

###### fu_struct_oprom_get_expansion_header_offset

No description available.

###### fu_struct_oprom_get_image_size

No description available.

###### fu_struct_oprom_get_init_func_entry_point

No description available.

###### fu_struct_oprom_get_machine_type

No description available.

###### fu_struct_oprom_get_pci_header_offset

No description available.

###### fu_struct_oprom_get_subsystem

No description available.

###### fu_struct_oprom_ref

No description available.

###### fu_struct_oprom_set_compression_type

No description available.

###### fu_struct_oprom_set_efi_image_offset

No description available.

###### fu_struct_oprom_set_expansion_header_offset

No description available.

###### fu_struct_oprom_set_image_size

No description available.

###### fu_struct_oprom_set_init_func_entry_point

No description available.

###### fu_struct_oprom_set_machine_type

No description available.

###### fu_struct_oprom_set_pci_header_offset

No description available.

###### fu_struct_oprom_set_subsystem

No description available.

###### fu_struct_oprom_unref

No description available.